/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.math.BigDecimal;

/**
 * All average ratings of an entry.
 */
@ApiModel(description = "All average ratings of an entry.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class AvgRatings {
  public static final String SERIALIZED_NAME_TOTAL = "total";
  @SerializedName(SERIALIZED_NAME_TOTAL)
  private BigDecimal total;

  public static final String SERIALIZED_NAME_DIVERSITY = "diversity";
  @SerializedName(SERIALIZED_NAME_DIVERSITY)
  private BigDecimal diversity;

  public static final String SERIALIZED_NAME_FAIRNESS = "fairness";
  @SerializedName(SERIALIZED_NAME_FAIRNESS)
  private BigDecimal fairness;

  public static final String SERIALIZED_NAME_HUMANITY = "humanity";
  @SerializedName(SERIALIZED_NAME_HUMANITY)
  private BigDecimal humanity;

  public static final String SERIALIZED_NAME_RENEWABLE = "renewable";
  @SerializedName(SERIALIZED_NAME_RENEWABLE)
  private BigDecimal renewable;

  public static final String SERIALIZED_NAME_SOLIDARITY = "solidarity";
  @SerializedName(SERIALIZED_NAME_SOLIDARITY)
  private BigDecimal solidarity;

  public static final String SERIALIZED_NAME_TRANSPARENCY = "transparency";
  @SerializedName(SERIALIZED_NAME_TRANSPARENCY)
  private BigDecimal transparency;


  public AvgRatings total(BigDecimal total) {
    
    this.total = total;
    return this;
  }

   /**
   * Get total
   * @return total
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public BigDecimal getTotal() {
    return total;
  }


  public void setTotal(BigDecimal total) {
    this.total = total;
  }


  public AvgRatings diversity(BigDecimal diversity) {
    
    this.diversity = diversity;
    return this;
  }

   /**
   * Get diversity
   * @return diversity
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public BigDecimal getDiversity() {
    return diversity;
  }


  public void setDiversity(BigDecimal diversity) {
    this.diversity = diversity;
  }


  public AvgRatings fairness(BigDecimal fairness) {
    
    this.fairness = fairness;
    return this;
  }

   /**
   * Get fairness
   * @return fairness
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public BigDecimal getFairness() {
    return fairness;
  }


  public void setFairness(BigDecimal fairness) {
    this.fairness = fairness;
  }


  public AvgRatings humanity(BigDecimal humanity) {
    
    this.humanity = humanity;
    return this;
  }

   /**
   * Get humanity
   * @return humanity
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public BigDecimal getHumanity() {
    return humanity;
  }


  public void setHumanity(BigDecimal humanity) {
    this.humanity = humanity;
  }


  public AvgRatings renewable(BigDecimal renewable) {
    
    this.renewable = renewable;
    return this;
  }

   /**
   * Get renewable
   * @return renewable
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public BigDecimal getRenewable() {
    return renewable;
  }


  public void setRenewable(BigDecimal renewable) {
    this.renewable = renewable;
  }


  public AvgRatings solidarity(BigDecimal solidarity) {
    
    this.solidarity = solidarity;
    return this;
  }

   /**
   * Get solidarity
   * @return solidarity
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public BigDecimal getSolidarity() {
    return solidarity;
  }


  public void setSolidarity(BigDecimal solidarity) {
    this.solidarity = solidarity;
  }


  public AvgRatings transparency(BigDecimal transparency) {
    
    this.transparency = transparency;
    return this;
  }

   /**
   * Get transparency
   * @return transparency
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public BigDecimal getTransparency() {
    return transparency;
  }


  public void setTransparency(BigDecimal transparency) {
    this.transparency = transparency;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AvgRatings avgRatings = (AvgRatings) o;
    return Objects.equals(this.total, avgRatings.total) &&
        Objects.equals(this.diversity, avgRatings.diversity) &&
        Objects.equals(this.fairness, avgRatings.fairness) &&
        Objects.equals(this.humanity, avgRatings.humanity) &&
        Objects.equals(this.renewable, avgRatings.renewable) &&
        Objects.equals(this.solidarity, avgRatings.solidarity) &&
        Objects.equals(this.transparency, avgRatings.transparency);
  }

  @Override
  public int hashCode() {
    return Objects.hash(total, diversity, fairness, humanity, renewable, solidarity, transparency);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AvgRatings {\n");
    sb.append("    total: ").append(toIndentedString(total)).append("\n");
    sb.append("    diversity: ").append(toIndentedString(diversity)).append("\n");
    sb.append("    fairness: ").append(toIndentedString(fairness)).append("\n");
    sb.append("    humanity: ").append(toIndentedString(humanity)).append("\n");
    sb.append("    renewable: ").append(toIndentedString(renewable)).append("\n");
    sb.append("    solidarity: ").append(toIndentedString(solidarity)).append("\n");
    sb.append("    transparency: ").append(toIndentedString(transparency)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

